<?xml version="1.0" encoding="utf-8"?>
<!--XBRL document created by Certent Disclosure Management 25.4.0.1 -->
<!--Based on XBRL 2.1-->
<!--Created on: 4/27/2026 3:02:38 PM-->
<!--Modified on: 4/27/2026 3:02:38 PM-->
<schema xmlns="http://www.w3.org/2001/XMLSchema" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" targetNamespace="http://www.embassybank.com/20260617" elementFormDefault="qualified" attributeFormDefault="unqualified" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:us-types="http://fasb.org/us-types/2025" xmlns:emyb="http://www.embassybank.com/20260617">
  <annotation>
    <appinfo><link:roleType roleURI="http://www.embassybank.com/role/DisclosurePayVsPerformanceDisclosures" id="DisclosurePayVsPerformanceDisclosures"><link:definition>995410 - Disclosure - Pay vs Performance Disclosures</link:definition><link:usedOn>link:presentationLink</link:usedOn><link:usedOn>link:calculationLink</link:usedOn><link:usedOn>link:definitionLink</link:usedOn></link:roleType><link:roleType roleURI="http://www.embassybank.com/role/DocumentDocumentAndEntityInformation" id="DocumentDocumentAndEntityInformation"><link:definition>000090 - Document - Document and Entity Information</link:definition><link:usedOn>link:presentationLink</link:usedOn><link:usedOn>link:calculationLink</link:usedOn><link:usedOn>link:definitionLink</link:usedOn></link:roleType><link:linkbaseRef xlink:type="simple" xlink:href="emyb-20260617_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:title="Presentation Links, all"></link:linkbaseRef><link:linkbaseRef xlink:type="simple" xlink:href="emyb-20260617_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:title="Label Links, all"></link:linkbaseRef><link:linkbaseRef xlink:type="simple" xlink:href="emyb-20260617_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:title="Definition Links, all"></link:linkbaseRef></appinfo></annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"></import>
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"></import>
  <import namespace="http://xbrl.sec.gov/dei/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-2025.xsd"></import>
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"></import>
  <import namespace="http://fasb.org/us-gaap/2025" schemaLocation="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd"></import>
  <import namespace="http://xbrl.sec.gov/ecd/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd"></import>
  <element id="emyb_PayVsPerformanceDisclosuresAbstract" name="PayVsPerformanceDisclosuresAbstract" nillable="true" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration"></element></schema>